> ## Documentation Index
> Fetch the complete documentation index at: https://docs.printeasy.adfinite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Identify the organization behind an API key



## OpenAPI

````yaml /openapi/openapi.json get /v1/whoami
openapi: 3.1.0
info:
  description: >-
    Cloud printing API. Send print jobs to any printer connected through the
    PrintEasy agent.
  title: PrintEasy API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.printeasy.adfinite.com
security:
  - ApiKeyAuth: []
  - BasicAuth: []
paths:
  /v1/whoami:
    get:
      tags:
        - Account
      summary: Identify the organization behind an API key
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Whoami'
          description: Caller identity
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Insufficient scope
      security:
        - ApiKeyAuth: []
        - BasicAuth: []
components:
  schemas:
    Whoami:
      properties:
        apiKeyId:
          type: string
        mode:
          enum:
            - live
            - test
          type: string
        organization:
          properties:
            id:
              type: string
            name:
              type: string
          required:
            - id
            - name
          type: object
        plan:
          example: lite
          type: string
      required:
        - organization
        - mode
        - apiKeyId
        - plan
      type: object
    Error:
      properties:
        error:
          properties:
            code:
              type: string
            message:
              type: string
            request_id:
              type: string
          required:
            - code
            - message
            - request_id
          type: object
      required:
        - error
      type: object
  securitySchemes:
    ApiKeyAuth:
      description: 'Bearer token: your API key (pe_live_... or pe_test_...)'
      scheme: bearer
      type: http
      x-default: pe_test_replace_me
    BasicAuth:
      description: >-
        PrintNode compatible: put the API key in the username with an empty
        password
      scheme: basic
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.